# Command-Line Options

In the file assaultcube_server.bat (or the respective .sh file in linux) you can add or change command line options:

-d This starts AssaultCube as a dedicatated server. The default is a non-dedicated server with only a single client in graphical mode. See the Server Section.

-wX sets desired screen width to X, default is -w640
-hY sets desired screen height to Y, default is -h480
-t runs windowed

-zN sets the z-buffer precision to N bits. This should be at least 24 or you may experience depth problems.

-bN sets the screen to N bits per pixel

-aN sets FSAA (Full Scene AntiAliasing) to N samples, i.e. -a4 is 4xFSAA

-vN enables vsync if N is greater 0

-uN sets the server upstream bandwidth to N bytes per second. only set this parameter if you know what you are doing, specifying a wrong value is worse than not specifying it at all.

-nS sets the server description, for people pinging the server. usually does not need to be set if you have a descriptive domain name already, but if you set it, keep it short as it may otherwise be truncated, i.e. -nBobsInstagibServer

-iIP sets the server ip to IP. this option is only useful for people running on machines with multiple network interfaces.

-mM sets the master server to use for either server (registering) and client (updating) to M. M is the base url of the master server and has to end in a / and without a http:// prefix, the default is masterserver.cubers.net/cgi-bin/AssaultCube.pl/. If you want your server to be private and not report to the masterserver, use -mlocalhost.

-pPASS sets the server password to PASS. Only clients that use the command "password PASS" will be able to connect.

-cN sets the maximum number of players that can play on this server to N (default 6). If more players try to connect they will get a "server full" message.

-xM sets the admin password.

-rC sets the maprotation file, e.g. -rconfig/maprot.cfg

-oN sets the server's message of the day.

-kN sets the score threshold. If a players score drops below it, he will be kicked automatically. (default: -5)